import { ApplicationRef, ComponentFactoryResolver, Injector, OnDestroy } from '@angular/core';
import { RelationKind } from '@colijnit/transactionapi/build/enum/relation-kind.enum';
import { RelationSuggestionsRequest } from '../interface/relation-suggestions-request.interface';
import { RelationListObject } from '@colijnit/relationapi/build/model/relation-list-object.bo';
import { Subject } from 'rxjs';
export declare class RelationSuggestionsService implements OnDestroy {
    private _compFactoryResolver;
    private appRef;
    private injector;
    set requestForSuggestions(value: RelationSuggestionsRequest);
    get requestForSuggestions(): RelationSuggestionsRequest;
    relationKind: RelationKind;
    suggestedRelationClick: Subject<RelationListObject>;
    private _requestForSuggestions;
    private _componentRef;
    constructor(_compFactoryResolver: ComponentFactoryResolver, appRef: ApplicationRef, injector: Injector);
    ngOnDestroy(): void;
    init(relationKind: RelationKind): void;
    showSidebar(): void;
    hideSidebar(): void;
    private _prepareProps;
}
